# palette
declare-option str cursorline "rgb:191919"
declare-option str text "rgb:b4b4b4"
declare-option str red_flame "rgb:C53030"
declare-option str red_glowing "rgb:DF6464"
declare-option str red_ember "rgb:B14242"
declare-option str orange_glow "rgb:D87C4A"
declare-option str orange_blaze "rgb:C4693D"
declare-option str orange_muted "rgb:6D3B22"
declare-option str orange_smolder "rgb:E49A44"
declare-option str orange_golden "rgb:E5A72A"
declare-option str golden_muted "rgb:6D4D0D"
declare-option str brown "rgb:89492a"
declare-option str brown_dark "rgb:322119"
declare-option str blue "rgb:4A8B8B"
declare-option str background "rgb:121212"
declare-option str g_1 "rgb:e5e5e5"
declare-option str g_2 "rgb:d5d5d5"
declare-option str g_3 "rgb:b4b4b4"
declare-option str g_4 "rgb:a7a7a7"
declare-option str g_5 "rgb:949494"
declare-option str g_6 "rgb:737373"
declare-option str g_7 "rgb:535353"
declare-option str g_8 "rgb:323232"
declare-option str g_9 "rgb:212121"
declare-option str g_10 "rgb:1d1d1d"
declare-option str g_11 "rgb:191919"
declare-option str g_12 "rgb:151515"

# Built-in Code Highlighting
set-face global value         "%opt{blue}"
set-face global type          "%opt{blue}"
set-face global variable      "%opt{g_3}"
set-face global module        "%opt{orange_glow}+b"
set-face global function      "%opt{g_3}+b"
set-face global string        "%opt{red_glowing}"
set-face global keyword       "%opt{red_ember}"
set-face global operator      "%opt{orange_glow}"
set-face global attribute     "%opt{g_4}"
set-face global comment       "%opt{g_6}+i"
set-face global documentation comment
set-face global meta          "%opt{red_ember}"
set-face global builtin       function

# Markdown Highlighting
set-face global title     "%opt{red_glowing}+b"
set-face global header    "%opt{red_glowing}"
set-face global mono      "%opt{g_2},%opt{g_10}"
set-face global block     "%opt{g_2},%opt{g_10}"
set-face global link      "%opt{red_glowing}+ui"
set-face global bullet    "%opt{orange_glow}"
set-face global list      "%opt{orange_glow}"

# Built-in UI
set-face global Default            "%opt{text},%opt{background}"
set-face global PrimaryCursor   "%opt{background},%opt{orange_blaze}+gfb"
set-face global SecondaryCursor "%opt{background},%opt{orange_muted}+gf"
set-face global PrimarySelection      ",%opt{brown_dark}+g"
set-face global SecondarySelection    ",%opt{brown_dark}+g"
# set-face global PrimaryCursorEol   "%opt{background},%opt{orange_golden}+fg"
# set-face global SecondaryCursorEol "%opt{background},%opt{golden_muted}+fg"
set-face global PrimaryCursorEol   PrimaryCursor
set-face global SecondaryCursorEol SecondaryCursor
set-face global LineNumbers        "%opt{g_8}"
set-face global LineNumberCursor   "%opt{g_5},%opt{brown_dark}"
set-face global LineNumbersWrapped LineNumbers
set-face global MenuForeground     "%opt{background},%opt{orange_blaze}+b"
set-face global MenuBackground     "%opt{g_3},%opt{g_9}"
set-face global MenuInfo           "%opt{text},%opt{g_9}"
set-face global Information        MenuBackground
set-face global InlineInformation  "%opt{g_6}+i"
set-face global Error              "%opt{red_flame},%opt{g_10}"
set-face global DiagnosticError    ",,%opt{red_flame}+c"
set-face global DiagnosticWarning  ",,%opt{red_flame}+c"
set-face global StatusLine         "%opt{g_3},%opt{g_9}"
set-face global StatusLineMode     "%opt{orange_glow}+b"
set-face global StatusLineInfo     "%opt{red_ember}"
set-face global StatusLineValue    "%opt{blue}"
set-face global StatusCursor       "%opt{background},%opt{g_3}+b"
set-face global Prompt             "%opt{orange_glow}"
set-face global MatchingChar       "%opt{orange_smolder}+uf"
set-face global BufferPadding      LineNumbers
set-face global Whitespace         "%opt{g_7}+f"
